1. Pypy
  2. Untitled project
  3. compatibility

Wiki

Clone wiki

compatibility / pygtk

PyGTK

PyGTK is known to be incompatible with PyPy. There are build issues likely to be shared with other C extensions, namely that the autoconf/automake macro used to find header files doesn't work with PyPy. Aside from that, other incompatibilities remain that prevent a successful build.

PyPy's Issue 625 lists other incompatibilities known so far, including PyPy's lack of PyOS_InputHook (which is also needed by other extensions, like some of those generated by Shed Skin.

PyGTK (including PyGObject and PyCairo) is a dependency for many applications:

- Camelot - Elixir - Gajim - gquilt - GRAMPS - Meld - TortoiseHg - UMIT


URL:http://www.pygtk.org/
Category:GUI library bindings
Compatible:Incompatible
Hard Dependencies
C-API Compatibility Unknown
Soft Dependencies
Numpy Incompatible More Information

Updated